Subject: Re: [PATCH iwl v2] i40e: print correct hw max rss count in kernel ring buffer

From: Maciej Fijalkowski <[email-masked]>
Date: Thu, 7 Mar 2024 16:24:27 +0100

On Thu, Mar 07, 2024 at 08:09:47PM +0530, suresh ks wrote:
> Hi Maciej,
> 
> Thanks for the links and taking time to review.

No problem, but please don't top post on linux mailing lists nor don't
respond in HTML. These are 101 rules to participate in upstream
discussions.

> 
> I was following the ethtool codes and suggested vsi->num_queue_pairs.
> Maybe vsi->alloc_queue_pairs is the right option as you suggested. I have
> not read much of i40e codes. Just that one of our customers reported this
> issue and I was reviewing the codes.
> 
> I also felt rss_size_max comes from the early i40e days. So I was not sure
> what I would add in the 'Fixes:' tag.

submitting-patches.html has it explained ;)

> 
> Sorry for getting late here. Was on a vacation.
> 
> 
> thanks....
> *Suresh KS*
> [email-masked]
> 91-7709100053
> 
> 
> 
> On Thu, Feb 15, 2024 at 9:52 PM Maciej Fijalkowski <
> [email-masked]> wrote:
> 
> > On Tue, Jan 30, 2024 at 08:33:43AM +0000, Loktionov, Aleksandr wrote:
> > > > -----Original Message-----
> > > > From: Kitszel, Przemyslaw <[email-masked]>
> > > > Sent: Tuesday, January 30, 2024 9:26 AM
> > > > To: Loktionov, Aleksandr <[email-masked]>
> > > > Subject: Fwd: [PATCH iwl v2] i40e: print correct hw max rss count
> >
> > Subject should be iwl-net and you should have Fixes: tag.
> > I also would like you to go through
> > https://docs.kernel.org/process/submitting-patches.html
> >
> > or any other document that would prepare you for your first submission.
> >
> > > > in kernel ring buffer
> > > >
> > > > FWD to Alex
> > > >
> > > >
> > > > -------- Forwarded Message --------
> > > > Subject: [PATCH iwl v2] i40e: print correct hw max rss count in
> > > > kernel ring buffer
> > > > Date: Sat, 20 Jan 2024 12:58:06 +0530
> > > > From: Suresh Kumar <[email-masked]>
> > > > To: [email-masked], [email-masked],
> > > > [email-masked], [email-masked], [email-masked],
> > > > [email-masked], [email-masked],
> > > > [email-masked], [email-masked]
> > > > CC: Suresh Kumar <[email-masked]>
> > > >
> > > > pf->rss_size_max is hardcoded and always prints max rss count as
> > > > 64.
> > > >
> > > > Eg:
> > > >    kernel: i40e 0000:af:00.1: User requested queue count/HW max RSS
> > > > count:  104/64
> > > >
> > > > whereas  ethtool reports the correct value from "vsi-
> > > > >num_queue_pairs"
> > > >
> > > > Channel parameters for eno33:
> > > > Pre-set maximums:
> > > > RX:     n/a
> > > > TX:     n/a
> > > > Other:      1
> > > > Combined:   104
> > > > Current hardware settings:
> > > > RX:     n/a
> > > > TX:     n/a
> > > > Other:      1
> > > > Combined:   104  <-------
> > > >
> > > > and is misleading.
> > > >
> > > > Change it to vsi->num_queue_pairs
> > >
> > > Please reject this patch, it breaks driver logging.
> > > The massage clearly states that it dumps max rss queues number that f/w
> > supports.
> >
> > ...which would imply that you would be able to work with anything more
> > than 64 queues. From a quick glance rss_size_max comes from early i40e
> > days and if that would be the limit indeed then driver allowing 104 queues
> > would be a disaster, no?
> >
> > >
> > > Thank you
> > >
> > > > Signed-off-by: Suresh Kumar <[email-masked]>
> > > > ---
> > > >   drivers/net/ethernet/intel/i40e/i40e_main.c | 2 +-
> > > >   1 file changed, 1 insertion(+), 1 deletion(-)
> > > >
> > > > diff --git a/drivers/net/ethernet/intel/i40e/i40e_main.c
> > > > b/drivers/net/ethernet/intel/i40e/i40e_main.c
> > > > index d5519af34657..f5c1ec190f7e 100644
> > > > --- a/drivers/net/ethernet/intel/i40e/i40e_main.c
> > > > +++ b/drivers/net/ethernet/intel/i40e/i40e_main.c
> > > > @@ -12524,7 +12524,7 @@ int i40e_reconfig_rss_queues(struct i40e_pf
> > > > *pf, int queue_count)
> > > >             i40e_pf_config_rss(pf);
> > > >     }
> > > >     dev_info(&pf->pdev->dev, "User requested queue count/HW max
> > > > RSS
> > > > count:  %d/%d\n",
> > > > -            vsi->req_queue_pairs, pf->rss_size_max);
> > > > +            vsi->req_queue_pairs, vsi->num_queue_pairs);
> >
> > IMHO this should be vsi->alloc_queue_pairs instead.
> >
> > > >     return pf->alloc_rss_size;
> > > >   }
> > > >   -- 2.43.0
> > > >
> > >
> >